cryptol-3.0.0: Cryptol: The Language of Cryptography

Safe Haskell | Safe-Inferred
Language | Haskell2010

Cryptol.TypeCheck.Module

# Documentation

doFunctorInst Source #

Arguments

:: Located (ImpName Name) | Name for the new module
-> Located (ImpName Name) | Functor being instantiated
-> ModuleInstanceArgs Name | Instance arguments
-> Map Name Name | Instantitation. These is the renaming for the functor that arises from generativity (i.e., it is something that will make the names "fresh").
-> Maybe Text | Documentation
-> InferM (Maybe TCTopEntity) |